> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the node descriptors



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /bot/nodeDescriptors
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /bot/nodeDescriptors:
    get:
      tags:
        - Bot
      summary: Get the node descriptors
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/NodeInformation'
            application/json:
              schema:
                $ref: '#/components/schemas/NodeInformation'
            text/json:
              schema:
                $ref: '#/components/schemas/NodeInformation'
components:
  schemas:
    NodeInformation:
      type: object
      properties:
        dataTypes:
          type: array
          items:
            $ref: '#/components/schemas/DataTypeInfo'
          nullable: true
        atomicNodes:
          type: array
          items:
            $ref: '#/components/schemas/NodeInfo'
          nullable: true
        groups:
          type: array
          items:
            $ref: '#/components/schemas/BotNodeGroup'
          nullable: true
        tools:
          type: array
          items:
            $ref: '#/components/schemas/ToolInfo'
          nullable: true
        learnResources:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/NodeLearnResourceItem'
            nullable: true
          nullable: true
      additionalProperties: false
    DataTypeInfo:
      type: object
      properties:
        dataTypeName:
          type: string
          nullable: true
        properties:
          type: array
          items:
            $ref: '#/components/schemas/PropertyInfo'
          nullable: true
        displayName:
          type: string
          nullable: true
      additionalProperties: false
    NodeInfo:
      type: object
      properties:
        className:
          type: string
          nullable: true
        displayName:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        group:
          type: string
          nullable: true
        properties:
          type: array
          items:
            $ref: '#/components/schemas/PropertyInfo'
          nullable: true
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/OutputInfo'
          nullable: true
        outputHandles:
          type: array
          items:
            $ref: '#/components/schemas/OutputHandleInfo'
          nullable: true
        dynamicHandles:
          type: array
          items:
            $ref: '#/components/schemas/DynamicOutputHandleInfo'
          nullable: true
        hasInputHandle:
          type: boolean
        hasDynamicVariables:
          type: boolean
        helpUrl:
          type: string
          nullable: true
        requiresPaid:
          type: boolean
        order:
          type: integer
          format: int32
        hidden:
          type: boolean
        beta:
          type: boolean
        learnResources:
          type: array
          items:
            $ref: '#/components/schemas/NodeLearnResourceItem'
          nullable: true
      additionalProperties: false
    BotNodeGroup:
      type: object
      properties:
        name:
          type: string
          nullable: true
        order:
          type: integer
          format: int32
      additionalProperties: false
    ToolInfo:
      type: object
      properties:
        className:
          type: string
          nullable: true
        displayName:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        properties:
          type: array
          items:
            $ref: '#/components/schemas/PropertyInfo'
          nullable: true
        helpUrl:
          type: string
          nullable: true
        hidden:
          type: boolean
      additionalProperties: false
    NodeLearnResourceItem:
      type: object
      properties:
        resourceType:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        target:
          type: string
          nullable: true
        sortOrder:
          type: integer
          format: int32
      additionalProperties: false
    PropertyInfo:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        enumValues:
          type: array
          items:
            type: string
          nullable: true
        displayName:
          type: string
          nullable: true
        defaultValue:
          type: string
          nullable: true
        group:
          type: string
          nullable: true
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/BotNodePropertyCondition'
          nullable: true
      additionalProperties: false
    OutputInfo:
      type: object
      properties:
        name:
          type: string
          nullable: true
        displayName:
          type: string
          nullable: true
      additionalProperties: false
    OutputHandleInfo:
      type: object
      properties:
        name:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        color:
          type: string
          nullable: true
      additionalProperties: false
    DynamicOutputHandleInfo:
      type: object
      properties:
        linkedProperty:
          type: string
          nullable: true
        labelPropertyName:
          type: string
          nullable: true
      additionalProperties: false
    BotNodePropertyCondition:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````